Subject: Re: bug#21196: 24.5; Paste from clipboard to emacs -nw on windows 8.1

From: Pablo Mercader Alcántara <[email-masked]>
Date: Fri, 7 Aug 2015 09:01:46 -0400

Ok! I understand, the good part is that it can be customized.

Thank you any way!

2015-08-07 2:34 GMT-04:00 Eli Zaretskii <[email-masked]>:
>> Date: Thu, 6 Aug 2015 19:03:01 -0400
>> From: Pablo Mercader Alcántara <[email-masked]>
>>
>> > Maybe you mean Emacs 23, where indeed the test for the GUI frame
>> > was absent.  But that was an omission, which is now fixed.
>>
>> And why do we want to remove that thing that I say is a "feature" but it looks
>> like it was treated like a "bug".
>
> For consistency across platforms, I guess.
>
>> I think that this feature/bug thing is working backwards. Isn't it desireble
>> to use X's clipboard on an xterm emacs session? so insted of taking the
>> functionality from the windows version, why don't we implement it on the
>> *nix version :D.
>
> It's not always possible to do on Unix what Emacs 23 and before did on
> Windows.  On Unix you can build Emacs without any X support
> whatsoever, something that is not supported on Windows.  In that case,
> X functions are not available.